Last modified: 2013-02-08 17:22:30 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35460 - Need commit notes to match SVN revision numbers for core
Need commit notes to match SVN revision numbers for core
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Kevin Israel (PleaseStand)
https://www.mediawiki.org/w/index.php...
:
Depends on:
Blocks: 22596
  Show dependency treegraph
 
Reported: 2012-03-24 22:56 UTC by Marcin Cieślak
Modified: 2013-02-08 17:22 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Script to generate commit notes (3.23 KB, application/x-tar-gz)
2013-02-07 23:02 UTC, Kevin Israel (PleaseStand)
Details
Script to generate commit notes (3.17 KB, application/x-tar-gz)
2013-02-07 23:42 UTC, Kevin Israel (PleaseStand)
Details
Script to generate commit notes (3.19 KB, application/x-tar-gz)
2013-02-07 23:46 UTC, Kevin Israel (PleaseStand)
Details

Description Marcin Cieślak 2012-03-24 22:56:58 UTC
Commit notes are not available after re-creation of MediaWiki core tree.
Comment 1 Chad H. 2012-03-25 14:45:24 UTC
This has been fixed for all extensions. Core still needs resolving.
Comment 2 Marcin Cieślak 2012-08-24 08:41:58 UTC
Come on, dropping the ball? :)
Comment 3 Kevin Israel (PleaseStand) 2013-02-07 23:02:33 UTC
Created attachment 11749 [details]
Script to generate commit notes

I wrote this script back in April and recently polished it a bit. Perhaps it will help. I don't have permission to push the generated notes to gerrit.wm.o myself.
Comment 4 Kevin Israel (PleaseStand) 2013-02-07 23:42:29 UTC
Created attachment 11750 [details]
Script to generate commit notes

Clarified README file
Comment 5 Kevin Israel (PleaseStand) 2013-02-07 23:46:19 UTC
Created attachment 11751 [details]
Script to generate commit notes

Oops! I forgot to specify the --prefix option.
https://en.wikipedia.org/wiki/Tar_(computing)#Tarbomb
Comment 6 Chad H. 2013-02-08 17:22:30 UTC
All old commits from SVN now have their associated notes pointing to SVN. Just pushed this to Gerrit. Thanks!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links